<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (version 1.7.0_11) on Tue Apr 02 22:23:03 BRT 2019 -->
<meta http-equiv="Content-Type" content="text/html" charset="UTF-8">
<title>FluxoCaixa</title>
<meta name="date" content="2019-04-02">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="FluxoCaixa";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FluxoCaixa.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?br/unisal/aula/controller/FluxoCaixa.html" target="_top">Frames</a></li>
<li><a href="FluxoCaixa.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">br.unisal.aula.controller</div>
<h2 title="Class FluxoCaixa" class="title">Class FluxoCaixa</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>br.unisal.aula.controller.FluxoCaixa</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">FluxoCaixa</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../br/unisal/aula/controller/FluxoCaixa.html#FluxoCaixa(java.util.List)">FluxoCaixa</a></strong>(java.util.List&lt;<a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a>&gt;&nbsp;registros)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/controller/FluxoCaixa.html#atualizarRegistrosFinanceiro(java.util.List)">atualizarRegistrosFinanceiro</a></strong>(java.util.List&lt;<a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a>&gt;&nbsp;registros)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/controller/FluxoCaixa.html#getDespesa()">getDespesa</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/controller/FluxoCaixa.html#getReceita()">getReceita</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/controller/FluxoCaixa.html#getSaldo()">getSaldo</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/controller/FluxoCaixa.html#inserirRegistroFinanceiro(br.unisal.aula.model.RegistroFinanceiro)">inserirRegistroFinanceiro</a></strong>(<a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a>&nbsp;registro)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/controller/FluxoCaixa.html#inserirRemoverResgistro(br.unisal.aula.model.RegistroFinanceiro, int)">inserirRemoverResgistro</a></strong>(<a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a>&nbsp;registro,
                       int&nbsp;sinal)</code>
<div class="block">Inserir novo registro na tabela
 Exemplo: fluxoCaixa.inserirRemoverResgistro(registro, -1);</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/controller/FluxoCaixa.html#removerRegistroFinanceiro(br.unisal.aula.model.RegistroFinanceiro)">removerRegistroFinanceiro</a></strong>(<a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a>&nbsp;registro)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FluxoCaixa(java.util.List)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FluxoCaixa</h4>
<pre>public&nbsp;FluxoCaixa(java.util.List&lt;<a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a>&gt;&nbsp;registros)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="atualizarRegistrosFinanceiro(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>atualizarRegistrosFinanceiro</h4>
<pre>public&nbsp;void&nbsp;atualizarRegistrosFinanceiro(java.util.List&lt;<a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a>&gt;&nbsp;registros)</pre>
</li>
</ul>
<a name="inserirRemoverResgistro(br.unisal.aula.model.RegistroFinanceiro, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inserirRemoverResgistro</h4>
<pre>public&nbsp;void&nbsp;inserirRemoverResgistro(<a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a>&nbsp;registro,
                           int&nbsp;sinal)</pre>
<div class="block">Inserir novo registro na tabela
 Exemplo: fluxoCaixa.inserirRemoverResgistro(registro, -1);</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>registro</code> - é um registro financeiro</dd><dd><code>sinal</code> - despesa (-1) e receita (+1)</dd></dl>
</li>
</ul>
<a name="inserirRegistroFinanceiro(br.unisal.aula.model.RegistroFinanceiro)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inserirRegistroFinanceiro</h4>
<pre>public&nbsp;void&nbsp;inserirRegistroFinanceiro(<a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a>&nbsp;registro)</pre>
</li>
</ul>
<a name="removerRegistroFinanceiro(br.unisal.aula.model.RegistroFinanceiro)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removerRegistroFinanceiro</h4>
<pre>public&nbsp;void&nbsp;removerRegistroFinanceiro(<a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a>&nbsp;registro)</pre>
</li>
</ul>
<a name="getDespesa()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDespesa</h4>
<pre>public&nbsp;double&nbsp;getDespesa()</pre>
</li>
</ul>
<a name="getReceita()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReceita</h4>
<pre>public&nbsp;double&nbsp;getReceita()</pre>
</li>
</ul>
<a name="getSaldo()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSaldo</h4>
<pre>public&nbsp;double&nbsp;getSaldo()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FluxoCaixa.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?br/unisal/aula/controller/FluxoCaixa.html" target="_top">Frames</a></li>
<li><a href="FluxoCaixa.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
